For the complete documentation index, see llms.txt. This page is also available as Markdown.

GetATokenTotalSupply

get

Retrieves the total supply of a specific AToken.

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • The account address.
Query parameters
chainIdstringRequired
  • The chain ID.
addressstringRequired
  • The address of the pool address provider registry.
assetstringRequired
  • The asset for which to get the total supply.
Header parameters
AuthorizationstringRequired
  • The authorization token.
Responses
200

A promise that resolves to a PoolAddressProviderRegistryAPIResponse containing the total supply of the specified AToken as a string.

application/json

Represents the API response structure for the Pool Address Provider Registry.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

datastringOptional

The data returned by the API, if any.

get/aave/v3/poolAddressProviderRegistry/{account}/getATokenTotalSupply
200

A promise that resolves to a PoolAddressProviderRegistryAPIResponse containing the total supply of the specified AToken as a string.